<?php namespace Myriad\NotifyClient;

/**
 * This interface should be implemented by the HTTP client passed to Client.
 *
 * Interface HttpInterface
 * @package Myriad\NotifyClient
 */
interface HttpInterface {

  /**
   *
   * @param string $httpVerb - GET, PUT, POST, or DELETE
   * @param string $url
   * @param array $headers
   * @param array $json
   * @return mixed
   * @throws \Exception
   */
  public function request($httpVerb, $url, $headers, $json);
}