<?php namespace Myriad\NotifyClient\Utilities;

abstract class FluentBuilder {

  protected $object;

  public function __call($name, $arguments) {
    $this->object->{$name} = $arguments[0];
    return $this;
  }

  public static function create () {
    return new static(...func_get_args());
  }
}