<?php namespace Myriad\NotifyClient\Client\Helpers;

use Exception;
use Myriad\NotifyClient\Builders\FilterBuilder;

class FilterHelper {

  public function makeArray($object) {
    if ($object instanceof FilterBuilder) {
      return $object->build();
    }
    if (is_array($object)) {
      return $object;
    }
    throw new Exception('Object must be a FilterBuilder or array');
  }
}