<?php namespace Myriad\NotifyClient\Utilities;

trait HydratesModels {

  abstract protected function getItemClass();

  public function hydrateItem($data) {
    $class = $this->getItemClass();
    $item = new $class();
    $item->hydrate($data);
    return $item;
  }

  public function hydrateCollection ($data) {
    return array_map([$this, 'hydrateItem'], $data);
  }
}